---
title: "/Endpoint/rest/api/v1/User/{Id}"
slug: "endpointrestapiv1userid"
updated: 2024-12-18T10:21:11Z
published: 2024-12-18T10:21:11Z
canonical: "docs.agilenow.io/endpointrestapiv1userid"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agilenow.io/llms.txt
> Use this file to discover all available pages before exploring further.
# /Endpoint/rest/api/v1/User/{Id}
Get/Endpoint/rest/api/v1/User/{Id}
The method returns one record of the `User`.
Method returns an extended `User` structure. Here, all foreign key fields are abstract object structures, utilizing `AbstractText` or `AbstractLong` data types, offering a detailed view of the data and related entities.
Foreign key fields are: ``
### Get a record of User
- If the `Id` field value is not matched, then a `404` error is reported (`Errors/Not Found`), and the error record is returned.
- If the `Id` field value is matched multiple times, then a `400` error is reported (`Errors/Multible Rows`), and the error record is returned.
- If the `Id, Username` field value is matched multiple times, then a `400` error is reported (`Errors/Multible Rows`), and the error record is returned.
SecurityOAuth
oAuth autentication flow
FlowClient Credentials Token URLhttps://dev.esystems.fi/oAuth/rest/v2/Token
Refresh URLhttps://dev.esystems.fi/oAuth/rest/v2/Token
Scopes:AccessManager:ReadAllows to edit access groups and all related data. (ABAC) permissions required to perform a function.
Path parametersIdstringRequired
The identifier of the User record. The parameter is part of the url address and some special characters are forbidden.
You can extract any string to a base64 string. E.g email address name@domain.com value is base64|bmFtZUBkb21haW4uY29t
Query parametersNamestring
The name of the database field. If empty, the entity `Id` field is used.
Example:
```
Username
```
Responses200
The record of `User` information
object
The record of User information.
Idinteger (int32)
Unique identifier of the user.
Default0Example0
Namestring
Full name of the user.
Usernamestring
Login name of the user.
Emailstring
Email contact of the user.
MobilePhonestring
Mobile phone number of the user.
External_Idstring
The user identifier in an external system to the Platform.
Creation_Datestring (date-time)
The date the user was created.
Default"1900-01-01T12:00:00Z"Example1900-01-01T12:00:00Z
Last_Loginstring (date-time)
Last time the user logged in the application.
Default"1900-01-01T12:00:00Z"Example1900-01-01T12:00:00Z
Is_Activeboolean
Indicates if the user is still active.
DefaultfalseExampleFalse
400
Bad Request - The user has provided input that the browser is unable to convert.
```json
{
"Errors": [
"The user has provided input that the browser is unable to convert.",
"There are multiple rows in the database for the same value",
"The value does not match the specified entity structure",
"..."
],
"Type": "/Errors/Bad Input",
"Title": "Bad Request",
"StatusCode": 400,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""
401
Unauthorized - The response status code indicates that the client request has not been completed because it lacks valid authentication credentials for the requested resource.
```json
{
"Errors": [
"The session Id or OAuth token used has expired or is invalid."
],
"Type": "/Errors/Unauthorized",
"Title": "Unauthorized",
"StatusCode": 401,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""
403
Forbidden - The user does not have access to execute operation
```json
{
"Errors": [
"The user does not have access to execute operation"
],
"Type": "/Errors/Permission",
"Title": "Bad Request",
"StatusCode": 403,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""
500
Internal Server Error - An internal server error is an error on the web server you're trying to access.
```json
{
"Errors": [
"An internal server error is an error on the web server you're trying to access."
],
"Type": "/Errors/Internal Server Error",
"Title": "Internal Server Error",
"StatusCode": 500,
"Instance": "/OpenApi/rest/Xzy",
"RequestKey": "894ea43c-b8a6-4195-9a9c-82c07d9cc33a"
}
```
object
The list of errors. Throw specific exceptions based on the received error.
Errors Array of string
Human-readable explanation of the errors
string Default""
Typestring
URI identifier that categorizes the error
Default""
Titlestring
Brief, human-readable message about the error
Default""
StatusCodeinteger (int32)
The HTTP response code
Example400
Instancestring
URI that identifies the specific occurrence of the error
Default""
RequestKeystring
Provides a request key that identifies the current request.
Default""